# Form implementation generated from reading ui file 'src/eric7/VirtualEnv/VirtualenvAddEditDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_VirtualenvAddEditDialog(object):
    def setupUi(self, VirtualenvAddEditDialog):
        VirtualenvAddEditDialog.setObjectName("VirtualenvAddEditDialog")
        VirtualenvAddEditDialog.resize(700, 400)
        VirtualenvAddEditDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(VirtualenvAddEditDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=VirtualenvAddEditDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=VirtualenvAddEditDialog)
        self.nameEdit.setClearButtonEnabled(True)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 1, 1, 1)
        self.groupBox = QtWidgets.QGroupBox(parent=VirtualenvAddEditDialog)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.standardRadioButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.standardRadioButton.setChecked(True)
        self.standardRadioButton.setObjectName("standardRadioButton")
        self.horizontalLayout_2.addWidget(self.standardRadioButton)
        self.anacondaRadioButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.anacondaRadioButton.setObjectName("anacondaRadioButton")
        self.horizontalLayout_2.addWidget(self.anacondaRadioButton)
        self.remoteRadioButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.remoteRadioButton.setObjectName("remoteRadioButton")
        self.horizontalLayout_2.addWidget(self.remoteRadioButton)
        self.serverRadioButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.serverRadioButton.setObjectName("serverRadioButton")
        self.horizontalLayout_2.addWidget(self.serverRadioButton)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.globalCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.globalCheckBox.setObjectName("globalCheckBox")
        self.verticalLayout.addWidget(self.globalCheckBox)
        self.gridLayout.addWidget(self.groupBox, 1, 0, 1, 2)
        self.label_2 = QtWidgets.QLabel(parent=VirtualenvAddEditDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 0, 1, 1)
        self.targetDirectoryPicker = EricPathPicker(parent=VirtualenvAddEditDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.targetDirectoryPicker.sizePolicy().hasHeightForWidth())
        self.targetDirectoryPicker.setSizePolicy(sizePolicy)
        self.targetDirectoryPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.targetDirectoryPicker.setObjectName("targetDirectoryPicker")
        self.gridLayout.addWidget(self.targetDirectoryPicker, 2, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=VirtualenvAddEditDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 3, 0, 1, 1)
        self.pythonExecPicker = EricPathPicker(parent=VirtualenvAddEditDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pythonExecPicker.sizePolicy().hasHeightForWidth())
        self.pythonExecPicker.setSizePolicy(sizePolicy)
        self.pythonExecPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.pythonExecPicker.setObjectName("pythonExecPicker")
        self.gridLayout.addWidget(self.pythonExecPicker, 3, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=VirtualenvAddEditDialog)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 4, 0, 1, 1)
        self.execPathEdit = QtWidgets.QLineEdit(parent=VirtualenvAddEditDialog)
        self.execPathEdit.setClearButtonEnabled(True)
        self.execPathEdit.setObjectName("execPathEdit")
        self.gridLayout.addWidget(self.execPathEdit, 4, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=VirtualenvAddEditDialog)
        self.label_4.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 5, 0, 1, 1)
        self.descriptionEdit = QtWidgets.QPlainTextEdit(parent=VirtualenvAddEditDialog)
        self.descriptionEdit.setObjectName("descriptionEdit")
        self.gridLayout.addWidget(self.descriptionEdit, 5, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=VirtualenvAddEditDialog)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 6, 0, 1, 1)
        self.serverLineEdit = QtWidgets.QLineEdit(parent=VirtualenvAddEditDialog)
        self.serverLineEdit.setReadOnly(True)
        self.serverLineEdit.setObjectName("serverLineEdit")
        self.gridLayout.addWidget(self.serverLineEdit, 6, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=VirtualenvAddEditDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 7, 0, 1, 2)

        self.retranslateUi(VirtualenvAddEditDialog)
        self.buttonBox.accepted.connect(VirtualenvAddEditDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(VirtualenvAddEditDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(VirtualenvAddEditDialog)
        VirtualenvAddEditDialog.setTabOrder(self.nameEdit, self.standardRadioButton)
        VirtualenvAddEditDialog.setTabOrder(self.standardRadioButton, self.anacondaRadioButton)
        VirtualenvAddEditDialog.setTabOrder(self.anacondaRadioButton, self.remoteRadioButton)
        VirtualenvAddEditDialog.setTabOrder(self.remoteRadioButton, self.serverRadioButton)
        VirtualenvAddEditDialog.setTabOrder(self.serverRadioButton, self.globalCheckBox)
        VirtualenvAddEditDialog.setTabOrder(self.globalCheckBox, self.targetDirectoryPicker)
        VirtualenvAddEditDialog.setTabOrder(self.targetDirectoryPicker, self.pythonExecPicker)
        VirtualenvAddEditDialog.setTabOrder(self.pythonExecPicker, self.execPathEdit)
        VirtualenvAddEditDialog.setTabOrder(self.execPathEdit, self.descriptionEdit)

    def retranslateUi(self, VirtualenvAddEditDialog):
        _translate = QtCore.QCoreApplication.translate
        self.label.setText(_translate("VirtualenvAddEditDialog", "Logical Name:"))
        self.nameEdit.setToolTip(_translate("VirtualenvAddEditDialog", "Enter a unique name for the virtual environment"))
        self.groupBox.setTitle(_translate("VirtualenvAddEditDialog", "Environment Type"))
        self.standardRadioButton.setToolTip(_translate("VirtualenvAddEditDialog", "Select to indicate a standard environment"))
        self.standardRadioButton.setText(_translate("VirtualenvAddEditDialog", "Standard"))
        self.anacondaRadioButton.setToolTip(_translate("VirtualenvAddEditDialog", "Select to indicate an Anaconda environment"))
        self.anacondaRadioButton.setText(_translate("VirtualenvAddEditDialog", "Anaconda"))
        self.remoteRadioButton.setToolTip(_translate("VirtualenvAddEditDialog", "Select to indicate a remotely (ssh) accessed environment"))
        self.remoteRadioButton.setText(_translate("VirtualenvAddEditDialog", "Remote"))
        self.serverRadioButton.setToolTip(_translate("VirtualenvAddEditDialog", "Select to indicate an eric-ide server environment."))
        self.serverRadioButton.setText(_translate("VirtualenvAddEditDialog", "eric-ide server"))
        self.globalCheckBox.setToolTip(_translate("VirtualenvAddEditDialog", "Select,if this is a global environment (i.e. no virtual environment directory to be given)"))
        self.globalCheckBox.setWhatsThis(_translate("VirtualenvAddEditDialog", "<b>Global Environment</b>\n"
"<p>Setting this indicates, that the environment is defined globally, i.e. not user specific. Usually such environments cannot be deleted by a standard user. The respective button of the Virtual Environment Manager dialog will be disabled for these entries.</p>"))
        self.globalCheckBox.setText(_translate("VirtualenvAddEditDialog", "Global Environment"))
        self.label_2.setText(_translate("VirtualenvAddEditDialog", "Directory:"))
        self.targetDirectoryPicker.setToolTip(_translate("VirtualenvAddEditDialog", "Enter the directory of the virtual environment"))
        self.label_3.setText(_translate("VirtualenvAddEditDialog", "Python Interpreter:"))
        self.pythonExecPicker.setToolTip(_translate("VirtualenvAddEditDialog", "Enter the Python interpreter of the virtual environment"))
        self.label_5.setText(_translate("VirtualenvAddEditDialog", "PATH Prefix:"))
        self.label_4.setText(_translate("VirtualenvAddEditDialog", "Description:"))
        self.label_6.setText(_translate("VirtualenvAddEditDialog", "Server:"))
        self.serverLineEdit.setToolTip(_translate("VirtualenvAddEditDialog", "Shows the host name of the server this entry belongs to (eric-ide server environment only)"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
